/**
 *
 */
jQuery(document).ready(function () {

    jQuery('html').on('click touchstart', function (e) {
        if (jQuery(e.target).parents('#divTabsMore').length > 0) return;

        jQuery('#divTabsMore').css('display', 'none');
    });

    jQuery('.is-tabs a').on('click', function () {

        if (jQuery(this).hasClass('active')) return false;
        if (jQuery(this).is('#divMore')) return false;

        jQuery('#divTabsMore').css('display', 'none');

        jQuery('.is-tabs-more > a').removeClass('active');
        jQuery('.is-tabs > a').removeClass('active');
        jQuery(this).addClass('active');

        var id = jQuery(this).attr('data-content');

        jQuery('.tab-content ').css('display', 'none');
        jQuery('#' + id).css('display', 'block');

        return false;
    });

    jQuery('.is-tabs-more a').click(function () {

        if (jQuery(this).hasClass('active')) return false;


        jQuery('.is-tabs > a').removeClass('active');
        jQuery('.is-tabs-more > a').removeClass('active');
        jQuery(this).addClass('active');

        var id = jQuery(this).attr('data-content');

        jQuery('.tab-content ').css('display', 'none');
        jQuery('#' + id).css('display', 'flex');

        jQuery('.is-tabs-more ').css('display', 'none');

        return false;
    });

    jQuery('#divMore').on('click', function (e) {
        jQuery('#divTabsMore').css('display', 'block');
    });

    jQuery('.container > div').click(function () {
        var s = jQuery(this).text();
        parent._cb.pasteHtmlAtCaret(s, true);
    });
});